Loading...
Searching...
No Matches
bsoncxx::builder::stream Namespace Reference

## Description

Declares entities used with "streaming" BSON builder syntax.

## Classes

class | array
| A streaming interface for constructing a BSON array. More...
class | array_context
| A stream context which expects any number of values. More...
struct | closed_context
| Indicates the document being constructed cannot be closed further. More...
class | document
| A streaming interface for constructing a BSON document. More...
class | key_context
| A stream context which expects a key. More...
class | single_context
| A stream context which appends a single value. More...
class | value_context
| A stream context which expects a value. More...

## Variables

constexpr close_array_type | close_array
| A stream manipulator to close a subarray.
constexpr close_document_type | close_document
| A stream manipulator to close a subdocument.
constexpr finalize_type | finalize
| A stream manipulator to finalize a document. When finalize is passed, the expression will evaluate to an owning document::value or array::value.
constexpr open_array_type | open_array
| A stream manipulator to open a subarray.
constexpr open_document_type | open_document
| A stream manipulator to open a subdocument.

## Variable Documentation

## close_array

close_array_type bsoncxx::v_noabi::builder::stream::close_array

constexpr

A stream manipulator to close a subarray.

## close_document

close_document_type bsoncxx::v_noabi::builder::stream::close_document

constexpr

A stream manipulator to close a subdocument.

## finalize

finalize_type bsoncxx::v_noabi::builder::stream::finalize

constexpr

A stream manipulator to finalize a document. When finalize is passed, the expression will evaluate to an owning document::value or array::value.

## open_array

open_array_type bsoncxx::v_noabi::builder::stream::open_array

constexpr

A stream manipulator to open a subarray.

See also
  - https://www.mongodb.com/docs/languages/cpp/cpp-driver/current/working-with-bson/#std-label-cpp-bson-builders for help building arrays in loops.

## open_document

open_document_type bsoncxx::v_noabi::builder::stream::open_document

constexpr

A stream manipulator to open a subdocument.